{% extends "base/base.html" %}

{% block title %} Detalle de la Cita {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles de la Cita</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Número:</strong> {{ cita.Numero }}</p>
            <p><strong>Fecha:</strong> {{ cita.Fecha }}</p>
            <p><strong>Hora:</strong> {{ cita.Hora }}</p>
            <p><strong>Número del Técnico:</strong> {{ cita.Tecnico }}</p>
            <p><strong>Usuario:</strong> {{ cita.Usuario }}</p>
            {% if cita.Usuario %}  {# Verificar si hay un usuario asociado a la cita #}
                <p><strong>Colonia:</strong> {{ cita.Usuario.Colonia }}</p>
                <p><strong>Calle:</strong> {{ cita.Usuario.Calle }}</p>
                <p><strong>Código Postal:</strong> {{ cita.Usuario.Cp }}</p>

            {% endif %}
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:listacitas' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <!-- Footer content -->
</footer>

{% endblock content %}
